<?xml version="1.0" encoding="UTF-8" ?>

<xs:schema xmlns:xs="http://www.w3.org/2001/XMLSchema"
           targetNamespace="http://com.epam.rd.java.basic.task8"
           xmlns="http://com.epam.rd.java.basic.task8">

    <xs:element name="catalog"> <!-- storage-->
        <xs:complexType>
            <xs:sequence>
                <xs:element name="subscription" maxOccurs="unbounded"><!-- product-->
                    <xs:complexType>
                        <xs:sequence>
                            <xs:element name="id" type="xs:positiveInteger"/>
                            <xs:element name="publisher" type="xs:string"/> <!-- title-->
                            <xs:element name="topic" type="xs:string"/>
                            <xs:element name="price" type="xs:decimal"/>
                        </xs:sequence>
                    </xs:complexType>
                </xs:element>
            </xs:sequence>
            <xs:attribute name="title" type="xs:string" use="required"/>
        </xs:complexType>
    </xs:element>
</xs:schema>

